Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc9a::/16
First address
fc9a::
Last address
fc9a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc9a:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
a.9.c.f.ip6.arpa
Split into smaller subnets/28

fc9a::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1fc9a::/28fc9a:f:ffff:ffff:ffff:ffff:ffff:ffff
2fc9a:10::/28fc9a:1f:ffff:ffff:ffff:ffff:ffff:ffff
3fc9a:20::/28fc9a:2f:ffff:ffff:ffff:ffff:ffff:ffff
4fc9a:30::/28fc9a:3f:ffff:ffff:ffff:ffff:ffff:ffff
5fc9a:40::/28fc9a:4f:ffff:ffff:ffff:ffff:ffff:ffff
6fc9a:50::/28fc9a:5f:ffff:ffff:ffff:ffff:ffff:ffff
7fc9a:60::/28fc9a:6f:ffff:ffff:ffff:ffff:ffff:ffff
8fc9a:70::/28fc9a:7f:ffff:ffff:ffff:ffff:ffff:ffff
9fc9a:80::/28fc9a:8f:ffff:ffff:ffff:ffff:ffff:ffff
10fc9a:90::/28fc9a:9f:ffff:ffff:ffff:ffff:ffff:ffff
11fc9a:a0::/28fc9a:af:ffff:ffff:ffff:ffff:ffff:ffff
12fc9a:b0::/28fc9a:bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc9a:c0::/28fc9a:cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc9a:d0::/28fc9a:df:ffff:ffff:ffff:ffff:ffff:ffff
15fc9a:e0::/28fc9a:ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc9a:f0::/28fc9a:ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc9a:100::/28fc9a:10f:ffff:ffff:ffff:ffff:ffff:ffff
18fc9a:110::/28fc9a:11f:ffff:ffff:ffff:ffff:ffff:ffff
19fc9a:120::/28fc9a:12f:ffff:ffff:ffff:ffff:ffff:ffff
20fc9a:130::/28fc9a:13f:ffff:ffff:ffff:ffff:ffff:ffff
21fc9a:140::/28fc9a:14f:ffff:ffff:ffff:ffff:ffff:ffff
22fc9a:150::/28fc9a:15f:ffff:ffff:ffff:ffff:ffff:ffff
23fc9a:160::/28fc9a:16f:ffff:ffff:ffff:ffff:ffff:ffff
24fc9a:170::/28fc9a:17f:ffff:ffff:ffff:ffff:ffff:ffff
25fc9a:180::/28fc9a:18f:ffff:ffff:ffff:ffff:ffff:ffff
26fc9a:190::/28fc9a:19f:ffff:ffff:ffff:ffff:ffff:ffff
27fc9a:1a0::/28fc9a:1af:ffff:ffff:ffff:ffff:ffff:ffff
28fc9a:1b0::/28fc9a:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc9a:1c0::/28fc9a:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc9a:1d0::/28fc9a:1df:ffff:ffff:ffff:ffff:ffff:ffff
31fc9a:1e0::/28fc9a:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc9a:1f0::/28fc9a:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc9a:200::/28fc9a:20f:ffff:ffff:ffff:ffff:ffff:ffff
34fc9a:210::/28fc9a:21f:ffff:ffff:ffff:ffff:ffff:ffff
35fc9a:220::/28fc9a:22f:ffff:ffff:ffff:ffff:ffff:ffff
36fc9a:230::/28fc9a:23f:ffff:ffff:ffff:ffff:ffff:ffff
37fc9a:240::/28fc9a:24f:ffff:ffff:ffff:ffff:ffff:ffff
38fc9a:250::/28fc9a:25f:ffff:ffff:ffff:ffff:ffff:ffff
39fc9a:260::/28fc9a:26f:ffff:ffff:ffff:ffff:ffff:ffff
40fc9a:270::/28fc9a:27f:ffff:ffff:ffff:ffff:ffff:ffff
41fc9a:280::/28fc9a:28f:ffff:ffff:ffff:ffff:ffff:ffff
42fc9a:290::/28fc9a:29f:ffff:ffff:ffff:ffff:ffff:ffff
43fc9a:2a0::/28fc9a:2af:ffff:ffff:ffff:ffff:ffff:ffff
44fc9a:2b0::/28fc9a:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc9a:2c0::/28fc9a:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc9a:2d0::/28fc9a:2df:ffff:ffff:ffff:ffff:ffff:ffff
47fc9a:2e0::/28fc9a:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc9a:2f0::/28fc9a:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc9a:300::/28fc9a:30f:ffff:ffff:ffff:ffff:ffff:ffff
50fc9a:310::/28fc9a:31f:ffff:ffff:ffff:ffff:ffff:ffff
51fc9a:320::/28fc9a:32f:ffff:ffff:ffff:ffff:ffff:ffff
52fc9a:330::/28fc9a:33f:ffff:ffff:ffff:ffff:ffff:ffff
53fc9a:340::/28fc9a:34f:ffff:ffff:ffff:ffff:ffff:ffff
54fc9a:350::/28fc9a:35f:ffff:ffff:ffff:ffff:ffff:ffff
55fc9a:360::/28fc9a:36f:ffff:ffff:ffff:ffff:ffff:ffff
56fc9a:370::/28fc9a:37f:ffff:ffff:ffff:ffff:ffff:ffff
57fc9a:380::/28fc9a:38f:ffff:ffff:ffff:ffff:ffff:ffff
58fc9a:390::/28fc9a:39f:ffff:ffff:ffff:ffff:ffff:ffff
59fc9a:3a0::/28fc9a:3af:ffff:ffff:ffff:ffff:ffff:ffff
60fc9a:3b0::/28fc9a:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc9a:3c0::/28fc9a:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc9a:3d0::/28fc9a:3df:ffff:ffff:ffff:ffff:ffff:ffff
63fc9a:3e0::/28fc9a:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc9a:3f0::/28fc9a:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc9a:400::/28fc9a:40f:ffff:ffff:ffff:ffff:ffff:ffff
66fc9a:410::/28fc9a:41f:ffff:ffff:ffff:ffff:ffff:ffff
67fc9a:420::/28fc9a:42f:ffff:ffff:ffff:ffff:ffff:ffff
68fc9a:430::/28fc9a:43f:ffff:ffff:ffff:ffff:ffff:ffff
69fc9a:440::/28fc9a:44f:ffff:ffff:ffff:ffff:ffff:ffff
70fc9a:450::/28fc9a:45f:ffff:ffff:ffff:ffff:ffff:ffff
71fc9a:460::/28fc9a:46f:ffff:ffff:ffff:ffff:ffff:ffff
72fc9a:470::/28fc9a:47f:ffff:ffff:ffff:ffff:ffff:ffff
73fc9a:480::/28fc9a:48f:ffff:ffff:ffff:ffff:ffff:ffff
74fc9a:490::/28fc9a:49f:ffff:ffff:ffff:ffff:ffff:ffff
75fc9a:4a0::/28fc9a:4af:ffff:ffff:ffff:ffff:ffff:ffff
76fc9a:4b0::/28fc9a:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc9a:4c0::/28fc9a:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc9a:4d0::/28fc9a:4df:ffff:ffff:ffff:ffff:ffff:ffff
79fc9a:4e0::/28fc9a:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc9a:4f0::/28fc9a:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc9a:500::/28fc9a:50f:ffff:ffff:ffff:ffff:ffff:ffff
82fc9a:510::/28fc9a:51f:ffff:ffff:ffff:ffff:ffff:ffff
83fc9a:520::/28fc9a:52f:ffff:ffff:ffff:ffff:ffff:ffff
84fc9a:530::/28fc9a:53f:ffff:ffff:ffff:ffff:ffff:ffff
85fc9a:540::/28fc9a:54f:ffff:ffff:ffff:ffff:ffff:ffff
86fc9a:550::/28fc9a:55f:ffff:ffff:ffff:ffff:ffff:ffff
87fc9a:560::/28fc9a:56f:ffff:ffff:ffff:ffff:ffff:ffff
88fc9a:570::/28fc9a:57f:ffff:ffff:ffff:ffff:ffff:ffff
89fc9a:580::/28fc9a:58f:ffff:ffff:ffff:ffff:ffff:ffff
90fc9a:590::/28fc9a:59f:ffff:ffff:ffff:ffff:ffff:ffff
91fc9a:5a0::/28fc9a:5af:ffff:ffff:ffff:ffff:ffff:ffff
92fc9a:5b0::/28fc9a:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc9a:5c0::/28fc9a:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc9a:5d0::/28fc9a:5df:ffff:ffff:ffff:ffff:ffff:ffff
95fc9a:5e0::/28fc9a:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc9a:5f0::/28fc9a:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc9a:600::/28fc9a:60f:ffff:ffff:ffff:ffff:ffff:ffff
98fc9a:610::/28fc9a:61f:ffff:ffff:ffff:ffff:ffff:ffff
99fc9a:620::/28fc9a:62f:ffff:ffff:ffff:ffff:ffff:ffff
100fc9a:630::/28fc9a:63f:ffff:ffff:ffff:ffff:ffff:ffff
101fc9a:640::/28fc9a:64f:ffff:ffff:ffff:ffff:ffff:ffff
102fc9a:650::/28fc9a:65f:ffff:ffff:ffff:ffff:ffff:ffff
103fc9a:660::/28fc9a:66f:ffff:ffff:ffff:ffff:ffff:ffff
104fc9a:670::/28fc9a:67f:ffff:ffff:ffff:ffff:ffff:ffff
105fc9a:680::/28fc9a:68f:ffff:ffff:ffff:ffff:ffff:ffff
106fc9a:690::/28fc9a:69f:ffff:ffff:ffff:ffff:ffff:ffff
107fc9a:6a0::/28fc9a:6af:ffff:ffff:ffff:ffff:ffff:ffff
108fc9a:6b0::/28fc9a:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc9a:6c0::/28fc9a:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc9a:6d0::/28fc9a:6df:ffff:ffff:ffff:ffff:ffff:ffff
111fc9a:6e0::/28fc9a:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc9a:6f0::/28fc9a:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc9a:700::/28fc9a:70f:ffff:ffff:ffff:ffff:ffff:ffff
114fc9a:710::/28fc9a:71f:ffff:ffff:ffff:ffff:ffff:ffff
115fc9a:720::/28fc9a:72f:ffff:ffff:ffff:ffff:ffff:ffff
116fc9a:730::/28fc9a:73f:ffff:ffff:ffff:ffff:ffff:ffff
117fc9a:740::/28fc9a:74f:ffff:ffff:ffff:ffff:ffff:ffff
118fc9a:750::/28fc9a:75f:ffff:ffff:ffff:ffff:ffff:ffff
119fc9a:760::/28fc9a:76f:ffff:ffff:ffff:ffff:ffff:ffff
120fc9a:770::/28fc9a:77f:ffff:ffff:ffff:ffff:ffff:ffff
121fc9a:780::/28fc9a:78f:ffff:ffff:ffff:ffff:ffff:ffff
122fc9a:790::/28fc9a:79f:ffff:ffff:ffff:ffff:ffff:ffff
123fc9a:7a0::/28fc9a:7af:ffff:ffff:ffff:ffff:ffff:ffff
124fc9a:7b0::/28fc9a:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc9a:7c0::/28fc9a:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc9a:7d0::/28fc9a:7df:ffff:ffff:ffff:ffff:ffff:ffff
127fc9a:7e0::/28fc9a:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc9a:7f0::/28fc9a:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc9a:800::/28fc9a:80f:ffff:ffff:ffff:ffff:ffff:ffff
130fc9a:810::/28fc9a:81f:ffff:ffff:ffff:ffff:ffff:ffff
131fc9a:820::/28fc9a:82f:ffff:ffff:ffff:ffff:ffff:ffff
132fc9a:830::/28fc9a:83f:ffff:ffff:ffff:ffff:ffff:ffff
133fc9a:840::/28fc9a:84f:ffff:ffff:ffff:ffff:ffff:ffff
134fc9a:850::/28fc9a:85f:ffff:ffff:ffff:ffff:ffff:ffff
135fc9a:860::/28fc9a:86f:ffff:ffff:ffff:ffff:ffff:ffff
136fc9a:870::/28fc9a:87f:ffff:ffff:ffff:ffff:ffff:ffff
137fc9a:880::/28fc9a:88f:ffff:ffff:ffff:ffff:ffff:ffff
138fc9a:890::/28fc9a:89f:ffff:ffff:ffff:ffff:ffff:ffff
139fc9a:8a0::/28fc9a:8af:ffff:ffff:ffff:ffff:ffff:ffff
140fc9a:8b0::/28fc9a:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc9a:8c0::/28fc9a:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc9a:8d0::/28fc9a:8df:ffff:ffff:ffff:ffff:ffff:ffff
143fc9a:8e0::/28fc9a:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc9a:8f0::/28fc9a:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc9a:900::/28fc9a:90f:ffff:ffff:ffff:ffff:ffff:ffff
146fc9a:910::/28fc9a:91f:ffff:ffff:ffff:ffff:ffff:ffff
147fc9a:920::/28fc9a:92f:ffff:ffff:ffff:ffff:ffff:ffff
148fc9a:930::/28fc9a:93f:ffff:ffff:ffff:ffff:ffff:ffff
149fc9a:940::/28fc9a:94f:ffff:ffff:ffff:ffff:ffff:ffff
150fc9a:950::/28fc9a:95f:ffff:ffff:ffff:ffff:ffff:ffff
151fc9a:960::/28fc9a:96f:ffff:ffff:ffff:ffff:ffff:ffff
152fc9a:970::/28fc9a:97f:ffff:ffff:ffff:ffff:ffff:ffff
153fc9a:980::/28fc9a:98f:ffff:ffff:ffff:ffff:ffff:ffff
154fc9a:990::/28fc9a:99f:ffff:ffff:ffff:ffff:ffff:ffff
155fc9a:9a0::/28fc9a:9af:ffff:ffff:ffff:ffff:ffff:ffff
156fc9a:9b0::/28fc9a:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc9a:9c0::/28fc9a:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc9a:9d0::/28fc9a:9df:ffff:ffff:ffff:ffff:ffff:ffff
159fc9a:9e0::/28fc9a:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc9a:9f0::/28fc9a:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc9a:a00::/28fc9a:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc9a:a10::/28fc9a:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc9a:a20::/28fc9a:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc9a:a30::/28fc9a:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc9a:a40::/28fc9a:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc9a:a50::/28fc9a:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc9a:a60::/28fc9a:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc9a:a70::/28fc9a:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc9a:a80::/28fc9a:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc9a:a90::/28fc9a:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc9a:aa0::/28fc9a:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc9a:ab0::/28fc9a:abf:ffff:ffff:ffff:ffff:ffff:ffff
173fc9a:ac0::/28fc9a:acf:ffff:ffff:ffff:ffff:ffff:ffff
174fc9a:ad0::/28fc9a:adf:ffff:ffff:ffff:ffff:ffff:ffff
175fc9a:ae0::/28fc9a:aef:ffff:ffff:ffff:ffff:ffff:ffff
176fc9a:af0::/28fc9a:aff:ffff:ffff:ffff:ffff:ffff:ffff
177fc9a:b00::/28fc9a:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc9a:b10::/28fc9a:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc9a:b20::/28fc9a:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc9a:b30::/28fc9a:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc9a:b40::/28fc9a:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc9a:b50::/28fc9a:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc9a:b60::/28fc9a:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc9a:b70::/28fc9a:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc9a:b80::/28fc9a:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc9a:b90::/28fc9a:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc9a:ba0::/28fc9a:baf:ffff:ffff:ffff:ffff:ffff:ffff
188fc9a:bb0::/28fc9a:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc9a:bc0::/28fc9a:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc9a:bd0::/28fc9a:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc9a:be0::/28fc9a:bef:ffff:ffff:ffff:ffff:ffff:ffff
192fc9a:bf0::/28fc9a:bff:ffff:ffff:ffff:ffff:ffff:ffff
193fc9a:c00::/28fc9a:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc9a:c10::/28fc9a:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc9a:c20::/28fc9a:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc9a:c30::/28fc9a:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc9a:c40::/28fc9a:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc9a:c50::/28fc9a:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc9a:c60::/28fc9a:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc9a:c70::/28fc9a:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc9a:c80::/28fc9a:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc9a:c90::/28fc9a:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc9a:ca0::/28fc9a:caf:ffff:ffff:ffff:ffff:ffff:ffff
204fc9a:cb0::/28fc9a:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc9a:cc0::/28fc9a:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc9a:cd0::/28fc9a:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc9a:ce0::/28fc9a:cef:ffff:ffff:ffff:ffff:ffff:ffff
208fc9a:cf0::/28fc9a:cff:ffff:ffff:ffff:ffff:ffff:ffff
209fc9a:d00::/28fc9a:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc9a:d10::/28fc9a:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc9a:d20::/28fc9a:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc9a:d30::/28fc9a:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc9a:d40::/28fc9a:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc9a:d50::/28fc9a:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc9a:d60::/28fc9a:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc9a:d70::/28fc9a:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc9a:d80::/28fc9a:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc9a:d90::/28fc9a:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc9a:da0::/28fc9a:daf:ffff:ffff:ffff:ffff:ffff:ffff
220fc9a:db0::/28fc9a:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc9a:dc0::/28fc9a:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc9a:dd0::/28fc9a:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc9a:de0::/28fc9a:def:ffff:ffff:ffff:ffff:ffff:ffff
224fc9a:df0::/28fc9a:dff:ffff:ffff:ffff:ffff:ffff:ffff
225fc9a:e00::/28fc9a:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc9a:e10::/28fc9a:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc9a:e20::/28fc9a:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc9a:e30::/28fc9a:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc9a:e40::/28fc9a:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc9a:e50::/28fc9a:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc9a:e60::/28fc9a:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc9a:e70::/28fc9a:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc9a:e80::/28fc9a:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc9a:e90::/28fc9a:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc9a:ea0::/28fc9a:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc9a:eb0::/28fc9a:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fc9a:ec0::/28fc9a:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fc9a:ed0::/28fc9a:edf:ffff:ffff:ffff:ffff:ffff:ffff
239fc9a:ee0::/28fc9a:eef:ffff:ffff:ffff:ffff:ffff:ffff
240fc9a:ef0::/28fc9a:eff:ffff:ffff:ffff:ffff:ffff:ffff
241fc9a:f00::/28fc9a:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc9a:f10::/28fc9a:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc9a:f20::/28fc9a:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc9a:f30::/28fc9a:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc9a:f40::/28fc9a:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc9a:f50::/28fc9a:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc9a:f60::/28fc9a:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc9a:f70::/28fc9a:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc9a:f80::/28fc9a:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc9a:f90::/28fc9a:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc9a:fa0::/28fc9a:faf:ffff:ffff:ffff:ffff:ffff:ffff
252fc9a:fb0::/28fc9a:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc9a:fc0::/28fc9a:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc9a:fd0::/28fc9a:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc9a:fe0::/28fc9a:fef:ffff:ffff:ffff:ffff:ffff:ffff
256fc9a:ff0::/28fc9a:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses